usrp_n2xx_simple_net_burner(1)

NAME
usrp_n2xx_simple_net_burner - USRP N-Series FPGA/Firmware Burner

DESCRIPTION
Burn firmware and FPGA images onto connected USRP N-Series devices. The program takes an IP address as an argument, queries the USRP device to identify which model and revision it is, and burns the appropriate images over Ethernet.

SYNOPSIS
usrp_n2xx_simple_net_burner [OPTIONS]

OPTIONS
This program works best when only an IP address is specified.

Device IP Address:
    --addr="Address" (default: 192.168.10.2)

This help information:
    --help

Custom Firmware Filepath:
    --fw="filepath"

Custom FPGA Filepath:
    --fpga="filepath"

Don't burn firmware:
    --no-fw

Don't burn FPGA:
    --no-fpga

Automatically reboot USRP device after burning
    --auto_reboot

List all USRP devices without burning
    --list

EXAMPLES

  Selecting a USRP device with a non-standard IP address

usrp_n2xx_simple_net_burner --addr=192.168.10.3

SEE ALSO
UHD documentation: http://files.ettus.com/manual/

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

Other UHD programs:

uhd_images_downloader(1) usrp2_card_burner(1) usrp_x3xx_fpga_burner(1) octoclock_firmware_burner(1)

AUTHOR
This manual page was written by Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2012-2022 Ettus Research, A National Instruments Brand

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.